AlwaysFailConnectionTester (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.test

## Class AlwaysFailConnectionTester

- java.lang.Object
- - com.mchange.v2.c3p0.test.AlwaysFailConnectionTester

- All Implemented Interfaces:
    ConnectionTester, QueryConnectionTester, java.io.Serializable

      public final class AlwaysFailConnectionTester
      extends java.lang.Object
      implements QueryConnectionTester

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.mchange.v2.c3p0.ConnectionTester

      `CONNECTION_IS_INVALID, CONNECTION_IS_OKAY, DATABASE_IS_INVALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlwaysFailConnectionTester()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `activeCheckConnection(java.sql.Connection c)`
    `int` | `activeCheckConnection(java.sql.Connection c, java.lang.String preferredTestQuery)`
    `boolean` | `equals(java.lang.Object o)` Multiple testers that are of the same class and use the same criteria for determining fatality should test as equals().
    `int` | `hashCode()` keep consistent with equals()
    `int` | `statusOnException(java.sql.Connection c, java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlwaysFailConnectionTester

          public AlwaysFailConnectionTester()

  - ### Method Detail

    - #### activeCheckConnection

          public int activeCheckConnection(java.sql.Connection c)

      Specified by:
        `activeCheckConnection` in interface `ConnectionTester`

    - #### statusOnException

          public int statusOnException(java.sql.Connection c,
                                       java.lang.Throwable t)

      Specified by:
        `statusOnException` in interface `ConnectionTester`

    - #### activeCheckConnection

          public int activeCheckConnection(java.sql.Connection c,
                                           java.lang.String preferredTestQuery)

      Specified by:
        `activeCheckConnection` in interface `QueryConnectionTester`

    - #### equals

          public boolean equals(java.lang.Object o)

      Description copied from interface: `ConnectionTester`
      Multiple testers that are of the same class and use the same criteria for determining fatality should test as equals().
      Specified by:
        `equals` in interface `ConnectionTester`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Description copied from interface: `ConnectionTester`
      keep consistent with equals()
      Specified by:
        `hashCode` in interface `ConnectionTester`
      Overrides:
        `hashCode` in class `java.lang.Object`